
Redmine - Feature #6631

Provide security (e.g. display only) for custom fields

2010-10-12 05:29 - Xagyg Wulf

Status: Closed Start date: 2010-10-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be nice to be able to assign permissions (update, view) for roles on custom fields.

The most basic requirement for my purposes is that I want to be able to specify some custom fields as display only.

Related issues:

Related to Redmine - Feature #4298: An "internal" option for custom fields Closed 2009-11-27

History

#1 - 2011-06-08 16:58 - Oleg Aksenov

It will be useful for me too. I think this issue could be linked to #7412 (to implement not permissions for roles but "internal" custom fields).

#2 - 2011-06-08 17:01 - Oleg Aksenov

"internal" custom fields

 I means not #4298 (internal for plugins) but internal for "Administrators" role etc.

#3 - 2013-09-26 13:22 - Juozapis Juozapauskiksi

Bump. Any news on this one?

#4 - 2013-10-01 15:57 - Toshi MARUYAMA

- Related to Feature #4298: An "internal" option for custom fields added

#5 - 2016-03-30 14:14 - Laurent Girard

This is already available through /workflows/permissions.

#6 - 2016-04-27 15:11 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Laurent Girard wrote:

This is already available through /workflows/permissions.

 Indeed. This is implemented by #5037.
